package cn.newfeifan.mall.module.product.dal.mysql.spuapplylog;


import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.newfeifan.mall.framework.mybatis.core.mapper.BaseMapperX;
import cn.newfeifan.mall.module.product.dal.dataobject.spuapplylog.SpuApplyLogDO;
import org.apache.ibatis.annotations.Mapper;
import cn.newfeifan.mall.module.product.controller.admin.spuapplylog.vo.*;

/**
 * 商品审核记录 Mapper
 *
 * @author 非繁人
 */
@Mapper
public interface SpuApplyLogMapper extends BaseMapperX<SpuApplyLogDO> {

    default PageResult<SpuApplyLogDO> selectPage(SpuApplyLogPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SpuApplyLogDO>()
                .eqIfPresent(SpuApplyLogDO::getStatus, reqVO.getStatus())
                .eqIfPresent(SpuApplyLogDO::getProductSpuApplyId, reqVO.getProductSpuApplyId())
                .eqIfPresent(SpuApplyLogDO::getCheckSystemUserId, reqVO.getCheckSystemUserId())
                .eqIfPresent(SpuApplyLogDO::getCheckComment, reqVO.getCheckComment())
                .betweenIfPresent(SpuApplyLogDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(SpuApplyLogDO::getId));
    }

}